
%global commit0 8d14b10652b2fe6c25d8ad8334e2d5023d254313
%global gittag0 VERSION_%{version}
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
#global snap0 20160216

Name:		libaccounts-glib
Version:	1.23
Release:	8%{?dist}
Summary:	Accounts framework for Linux and POSIX based platforms
License:	LGPLv2
URL:        https://gitlab.com/accounts-sso/libaccounts-glib

Source0:    https://gitlab.com/accounts-sso/%{name}/repository/archive.tar.gz?ref=%{gittag0}#/%{name}-%{version}.tar.gz

BuildRequires:	dbus-glib-devel
BuildRequires:	libxml2-devel
BuildRequires:	sqlite-devel
BuildRequires:	check-devel
BuildRequires:	gobject-introspection-devel
# no needed for final release tarball
BuildRequires:	libtool
BuildRequires:	gtk-doc

%description
%{summary}.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}
%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package docs
Summary:	Documentation for %{name}
BuildArch:	noarch
%description docs
The %{name}-docs package contains documentation for %{name}.


%prep
%autosetup -n %{name}-%{gittag0}-%{commit0}


%build
test -x configure || \
NOCONFIGURE=1 \
./autogen.sh

%configure \
  --disable-static \
  --enable-gtk-doc

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

rm -fv %{buildroot}%{_libdir}/lib*.la

# create/own data dirs
mkdir -p %{buildroot}%{_datadir}/accounts/{applications,providers,services,service_types}

# add docs manuall to %%doc instead
rm -rfv %{buildroot}%{_prefix}/doc/reference

%check
# advisory and non-fatal for now
make check || cat tests/test-suite.log ||:


%ldconfig_scriptlets

%files
%license COPYING
%doc AUTHORS ChangeLog README NEWS
%{_bindir}/ag-backup
%{_bindir}/ag-tool
%{_mandir}/man1/ag-backup.1*
%{_mandir}/man1/ag-tool.1*
%dir %{_datadir}/backup-framework
%dir %{_datadir}/backup-framework/applications
%{_datadir}/backup-framework/applications/*.conf
%{_libdir}/libaccounts-glib.so.0*
%{_libdir}/girepository-1.0/Accounts-1.0.typelib
%dir %{_datadir}/xml/
%dir %{_datadir}/xml/accounts/
%dir %{_datadir}/xml/accounts/schema/
%dir %{_datadir}/xml/accounts/schema/dtd
%{_datadir}/xml/accounts/schema/dtd/accounts-*.dtd
%dir %{_datadir}/accounts/
%dir %{_datadir}/accounts/applications/
%dir %{_datadir}/accounts/providers/
%dir %{_datadir}/accounts/services/
%dir %{_datadir}/accounts/service_types/

%files devel
%{_libdir}/libaccounts-glib.so
%{_libdir}/pkgconfig/libaccounts-glib.pc
%{_includedir}/libaccounts-glib
%{_datadir}/gir-1.0/Accounts-1.0.gir
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/vala/vapi/libaccounts-glib.deps
%{_datadir}/vala/vapi/libaccounts-glib.vapi
## testing bits
%{_datadir}/libaccounts-glib/
%{_libdir}/libaccounts-glib/

%files docs
%doc %{_datadir}/gtk-doc/html/libaccounts-glib/


%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.23-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.23-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.23-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.23-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.23-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Sep 29 2016 Rex Dieter <rdieter@fedoraproject.org> - 1.23-1
- 1.23

* Tue Feb 23 2016 Rex Dieter <rdieter@fedoraproject.org> 1.21-1
- 1.21, %%check: (advisory) 'make check' 

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 28 2015 Rex Dieter <rdieter@fedoraproject.org> - 1.18-3
- tighten subpkg dependencies
- -devel: drop hard-coded glib2 dep (pkgconfig auto deps handles it)
- .spec cosmetics
- own %%_datadir/accounts (and children)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 26 2015 Daniel Vrátil <dvratil@redhat.com> - 1.18-1
- update to 1.18
- update upstream source URL
- use %%license
- drop upstreamed patch

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 1.16-3
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 26 2014 Daniel Vrátil <dvratil@redhat.com> - 1.16-1
- Latest upstream release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Jaroslav Reznik <jreznik@redhat.com> - 1.8-1
- Latest upstream release
- Add GObject introspection
- Fix URLs and description

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.45-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.45-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.45-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 06 2010 Chen Lei <supercyper@163.com> - 0.45-1
- New upstream release

* Fri Jul 23 2010 Chen Lei <supercyper@163.com> - 0.39-2
- List files more specfic in spec
- Add a permanent link for meego SRPM

* Thu Jul 08 2010 Chen Lei <supercyper@163.com> - 0.39-1
- Initial packaging for Fedora

* Mon Jun 14 2010 Bernd Wachter <ext-bernd.wachter@nokia.com> - 0.39
- Update to latest version
